import { NextRequest, NextResponse } from "next/server";
import { getServerSession } from "next-auth";
import { authOptions } from "app/_lib/auth";
import { getUserMetadata, saveUserMetadata } from "app/_lib/opensearch";

export const POST = async (req: NextRequest) => {
    const session = await getServerSession(authOptions);
    const { user: { email } }: any = session;
    const { name } = await req.json();
    const { savedSearches } = await getUserMetadata(email);
    const updatedSavedSearches = savedSearches.filter((search: any) => search.name !== name);
    const result = await saveUserMetadata(email, { savedSearches: updatedSavedSearches });

    return NextResponse.json({ result });
};




